Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.jar
Class JarFileObject

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileObject
          org.apache.commons.vfs.provider.zip.ZipFileObject
              org.apache.commons.vfs.provider.jar.JarFileObject

All Implemented Interfaces:
  FileObject

public class JarFileObject
extends ZipFileObject

A file in a Jar file system.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Brian Olsen

Field Summary

Fields inherited from class org.apache.commons.vfs.provider.zip.ZipFileObject
`entry`

Constructor Summary
`protected` | `JarFileObject(FileName name, ZipEntry entry, JarFileSystem fs, boolean zipExists)`

Method Summary
`protected Map` | `doGetAttributes()` Returns the value of an attribute.
`protected Certificate[]` | `doGetCertificates()` Return the certificates of this JarEntry.

Methods inherited from class org.apache.commons.vfs.provider.zip.ZipFileObject
`attachChild, doGetContentSize, doGetInputStream, doGetLastModifiedTime, doGetType, doListChildren, isWriteable, setZipEntry`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileObject
`canRenameTo, childrenChanged, childrenChanged, close, copyFrom, createFile, createFolder, delete, delete, doAttach, doCreateFolder, doDelete, doDetach, doGetOutputStream, doGetRandomAccessContent, doIsHidden, doIsReadable, doIsSameFile, doIsWriteable, doListChildrenResolved, doRename, doSetAttribute, doSetLastModifiedTime, endOutput, exists, finalize, findFiles, findFiles, getChild, getChildren, getContent, getFileContentInfoFactory, getFileOperations, getFileSystem, getInputStream, getName, getOutputStream, getOutputStream, getParent, getRandomAccessContent, getType, getURL, handleChanged, handleCreate, handleDelete, holdObject, injectType, isAttached, isContentOpen, isHidden, isReadable, isSameFile, moveTo, notifyAllStreamsClosed, onChange, onChildrenChanged, refresh, resolveFile, resolveFile, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileObject
`canRenameTo, close, copyFrom, createFile, createFolder, delete, delete, exists, findFiles, findFiles, getChild, getChildren, getContent, getFileOperations, getFileSystem, getName, getParent, getType, getURL, isAttached, isContentOpen, isHidden, isReadable, moveTo, refresh, resolveFile, resolveFile`

Constructor Detail

### JarFileObject

    protected JarFileObject(FileName name,
                            ZipEntry entry,
                            JarFileSystem fs,
                            boolean zipExists)
                     throws FileSystemException

Method Detail

### doGetAttributes

    protected Map doGetAttributes()
                           throws Exception

  Returns the value of an attribute.

  Overrides:
    `doGetAttributes` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetCertificates

    protected Certificate[] doGetCertificates()

  Return the certificates of this JarEntry.

  Overrides:
    `doGetCertificates` in class `AbstractFileObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.